echo off
cls
if "%1" == "" goto syntax

echo ---------------------------------------------------------------------
echo This is a demo batch file to show you how BKCK will return an
echo ERRORLEVEL to indicate what percentage of your files need backing up.
echo ---------------------------------------------------------------------
if not exist bkck.exe goto not_there
pause
bkck %1:\ /tt
if errorlevel 255 goto problem

echo --------------------------------------------------------------------------
if errorlevel 75 goto 75
if errorlevel 50 goto 50
if errorlevel 25 goto 25
if errorlevel 10 goto 10
if errorlevel 5 goto 5
if errorlevel 1 goto 1

echo Hmmmm.... looks like NONE of your data needs to be backed up!
echo Good work!!
goto end

:75
echo Somewhere between 75%% and 100%% of your disk needs backing up.  Better
echo crank up the old backup program and get to work!
goto end

:50
echo Somewhere between 50%% and 74%% of your disk needs backing up.  That's not
echo bad, but you better think about doing a full backup!
goto end

:25
echo Somewhere between 25%% and 49%% of your disk needs backing up.  I've
echo seen worse, but don't be like most people and let it go forever!
goto end

:10
echo Somewhere between 10%% and 24%% of your disk needs backing up.  Pretty
echo low amount, but can you put a price on YOUR data?
goto end

:5
echo Somewhere between 5%% and 9%% of your disk needs backing up.  You must
echo keep pretty good backups!
goto end

:1
echo Looks like 1%% of your disk needs backing up.  GOOD WORK!  Run this
echo program in about a couple more days, and see what it tells you then!
goto end

:problem
echo --------------------------------------------------------------------------
echo There was some kind of problem encountered while running the program!
goto end

:syntax
echo To try out this batch file, give the following command:
echo .
echo        BKCKDEMO d
echo .
echo Where "d" is the letter of a disk drive.
echo .
echo Example:     BKCK C   would check drive C:
goto end


:not_there
echo *** I cannot find the BKCK.EXE program file! ***
goto end

:end
